### Signal

# Handy Swipeable::child-switched

since: 1.0

#### Declaration

    void
    child_switched (
      HdySwipeable* self,
      guint index,
      gint64 duration,
      gpointer user_data
    )

#### Description [src]

Emitted when the widget’s visible child is changed.

`duration` can be 0 if the child is switched without animation.

This is used by `HdySwipeGroup`, applications should not connect to it.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 1.0

#### Parameters

`index`

  Type: `guint`

  The index of the child to switch to.

`duration`

  Type: `gint64`

  Animation duration, in milliseconds.